/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
"use client";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const require_components_client_Modal_modalStore = require("./modalStore.cjs");
//#region src/components/client/Modal/createModal.tsx
function createModal(args) {
	const id = require_components_client_Modal_modalStore.addModalEntry(args);
	return {
		update(next) {
			require_components_client_Modal_modalStore.updateModalEntry(id, next);
		},
		close() {
			require_components_client_Modal_modalStore.closeModalEntry(id);
		}
	};
}
//#endregion
exports.createModal = createModal;
